Name:           acme
Version:        2.4.3
Release:        0.fdr.5.1
Epoch:          0
Summary:        Versatile Keyboard daemon.

Group:          System Environment/Daemons
License:        GPL
URL:            http://devin.com/acme/
Source0:        http://devin.com/acme/download/acme-2.4.3.tar.bz2
Source1:	acme.png
Source2: 	acme.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel >= 0:2.0.0
BuildRequires:  libwnck-devel
BuildRequires:  startup-notification-devel
BuildRequires:  alsa-lib-devel >= 0:0.9.0
BuildRequires:  intltool
BuildRequires:  perl-XML-Parser
BuildRequires:  gob2
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires(post):   GConf2
Requires(preun):  GConf2
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
ACME is a small GNOME tool to make use of the multimedia buttons present on
most laptops and internet keyboards: Volume, Brightness, Power, Eject, My Home,
Search, E-Mail, Sleep, Screensaver, Finance and Help buttons.



%prep
%setup -q



%build
%configure --without-gconf-source
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

install -p -D -m0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/acme.png
desktop-file-install --vendor fedora 			\
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --add-category X-Fedora                               \
  %{SOURCE2}



%clean
rm -rf ${RPM_BUILD_ROOT}



%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null
scrollkeeper-update -q



%preun
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null



%postun
/sbin/ldconfig
scrollkeeper-update -q



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%config %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/acme/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/acme.png
%{_datadir}/control-center-2.0/capplets/*



%changelog
* Wed Apr 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.3-0.fdr.5
- Remove Requires(foo,bar) notation.
- Uninstall schemas in preun.

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.3-0.fdr.4
- BuildReq perl-XML-Parser is back.

* Mon Apr 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.3-0.fdr.3
- BuildReq intltool.

* Sun Apr 11 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.3-0.fdr.2
- BuildReq perl-XML-Parser.

* Sun Apr 11 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.3-0.fdr.1
- Updated to 2.4.3.
- New URL.
- Dropped unnecessary BuildReq libglade2-devel.

* Wed Mar 10 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.2-0.fdr.2
- BuildReq alsa-lib-devel.

* Sun Nov 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.2-0.fdr.1
- Updated to 2.4.2.

* Mon Nov 03 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.1-0.fdr.1
- Updated to 2.4.1.

* Mon Sep 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.4.0-0.fdr.1
- Updated to 2.4.0.

* Thu Aug 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.0.6-0.fdr.1
- Updated to 2.0.6.
- configure with --without-gconf-source.

* Sun Aug 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:2.0.4-0.fdr.1
- Updated to 2.0.4.
- Fedorification.
- buildroot -> RPM_BUILD_ROOT.
- post Req GConf2.
- post/postun Req scrollkeeper.
- BuildReq gettext.
- BuildReq startup-notification-devel.
- Added desktop entry.
- cosmetic changes.

* Wed Apr 02 2003 Dag Wieers <dag@wieers.com>
- Initial release. (using dar)
